#
# spec file for package cdparanoia (Version IIIalpha9.8)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           cdparanoia
BuildRequires:  resmgr
Provides:       cdparano
Obsoletes:      cdparano
License:        GPL
Group:          Productivity/Multimedia/CD/Grabbers
Autoreqprov:    on
Version:        IIIalpha9.8
Release:        562.4
Summary:        A Program for Extracting, Verifying, and Fixing Audio Tracks from CDs
URL:            http://www.xiph.org/paranoia/index.html
%define	      filever					 III-alpha9.8
Source:         http://www.xiph.org/paranoia/download/cdparanoia-%{filever}.src.tgz
Patch:          cdparanoia-III-alpha9.7.dif
Patch2:         cdparanoia-III-alpha9.8-solve-crash.patch
Patch3:         cdparanoia-III-alpha9.8-resmgr.patch
Patch4:         cdparanoia-III-alpha9.8-gcc34.patch
Patch5:         cdparanoia-III-alpha9.8-ide_majors.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This CDDA reader distribution ('cdparanoia') reads audio from the
CD-ROM directly as data and writes the data to a file or pipe as .wav,
.aifc, or raw 16-bit linear PCM.

This is a beta release. See http://www.xiph.org/paranoia/.



Authors:
--------
    Monty <xiphmont@mit.edu>

%debug_package
%prep
%setup -q -n cdparanoia-%{filever}
%patch
%patch2 -p 1
%patch3 -p 1
%patch4 -p 1
%patch5 

%build
cp configure.guess config.guess
cp configure.sub config.sub
%{?suse_update_config:%{suse_update_config -f}}
cp config.guess configure.guess
cp config.sub configure.sub
autoconf 
CFLAGS="$RPM_OPT_FLAGS"			\
	./configure				\
		--prefix=/usr			\
		--mandir=%{_mandir}		\
		--libdir=%_libdir
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_mandir}/man1,usr/{bin,include,lib}}
make prefix=$RPM_BUILD_ROOT/usr \
     LIBDIR=$RPM_BUILD_ROOT/%_libdir \
     MANDIR=$RPM_BUILD_ROOT/%{_mandir} install
JAPN_MANDIR=$RPM_BUILD_ROOT/%{_mandir}/ja/man1
mkdir	-p			$JAPN_MANDIR
install -m644 cdparanoia.1.jp	$JAPN_MANDIR/cdparanoia.1
# do not package static libraries.
rm $RPM_BUILD_ROOT/%_libdir/libcdda_interface.a
rm $RPM_BUILD_ROOT/%_libdir/libcdda_paranoia.a

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc README FAQ.txt
%{_mandir}/man1/*
%{_mandir}/ja/man1/*
/usr/bin/*
/usr/include/*
%_libdir/lib*.so*

%changelog -n cdparanoia
* Tue May 23 2006 - nadvornik@suse.cz
- check for all IDE major numbers
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Aug 10 2005 - nadvornik@suse.cz
- use RPM_OPT_FLAGS instead of hardcoded CFLAGS [#93874]
- fixed compiler warnings
* Mon Feb 07 2005 - nadvornik@suse.cz
- do not dereference symlinks in resmgr device name [#44912]
* Wed Sep 15 2004 - ro@suse.de
- don't use --host for configure
* Wed Jan 28 2004 - schwab@suse.de
- Fix missing library dependency.
* Sat Jan 17 2004 - meissner@suse.de
- fixed labels at end of compound statement problem.
* Sun Jan 11 2004 - adrian@suse.de
- add %%run_ldconfig
* Mon May 19 2003 - meissner@suse.de
- remove .a files, they are not packaged.
* Fri Feb 28 2003 - meissner@suse.de
- Added resmgr support so cdparanoia can read audio CDs on
  SCSI CD-ROMs (and ide-scsi based IDE CD-ROMs).
* Tue Sep 24 2002 - nadvornik@suse.cz
- fixed crash with k3b [#18282]
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Thu Apr 25 2002 - coolo@suse.de
- use %%_libdir
* Wed Jun 13 2001 - schwab@suse.de
- Fix stupid file names.
* Tue Apr 03 2001 - bk@suse.de
- update to III-alpha9.8
- remove of static libs from filelist(shared libs are used by e.g. kde)
* Thu Nov 09 2000 - nadvornik@suse.cz
- renamed cdparano -> cdparanoia
* Wed Apr 26 2000 - nadvornik@suse.cz
- changed Group
* Mon Apr 10 2000 - nadvornik@suse.cz
- added BuildRoot
- added URL
* Tue Feb 29 2000 - uli@suse.de
- fixed filelist (this time for real)
- now builds with "-O2" instead of "-O20"
* Tue Feb 29 2000 - ro@suse.de
- fixed filelist
* Mon Jan 17 2000 - ro@suse.de
- update to III-alpha9.7
- man to /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 03 1999 - ro@suse.de
- update to III-alpha9.6
* Fri Jul 09 1999 - ro@suse.de
- update to alpha9.5
* Tue Sep 22 1998 - ro@suse.de
- update to alpha8 / define _GNU_SOURCE for compiling
* Tue Aug 04 1998 - ro@suse.de
- update to alpha7
* Fri Apr 24 1998 - ro@suse.de
- build initial package version 03alpha6
